Are KF5 and KDE4 packages supposed to coexists?

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Are KF5 and KDE4 packages supposed to coexists?

Federico Giannici
Hi!

I'd like to know if KDE4 packages are supposed to coexists with KF5
packages (OpenBSD amd64 6.6).

In particular, I'd like to use both gwenview (KF5) and Juk (KDE4), but
it seems that baloo-4.14.3p7 conflicts with kf5-icons-baloo-5.54.0, and
kf5-icons-baloo-5.54.0 conflicts with baloo-4.14.3p7 (see below).

Is this a known limitation?

Thanks.



With gwenview installed:

casa:/home/giannici# pkg_add juk
quirks-3.182 signed on 2019-10-12T12:14:24Z
Can't install baloo-4.14.3p7 because of conflicts (kf5-icons-baloo-5.54.0)
Can't install nepomuk-core-4.14.3p3: can't resolve baloo-4.14.3p7
Can't install kactivities-4.13.3p1: can't resolve nepomuk-core-4.14.3p3
Can't install kde-runtime-4.14.3p15: can't resolve
nepomuk-core-4.14.3p3,kactivities-4.13.3p1
Can't install juk-4.14.3p5: can't resolve kde-runtime-4.14.3p15
--- baloo-4.14.3p7 -------------------
Can't install baloo-4.14.3p7: conflicts
Couldn't install baloo-4.14.3p7 juk-4.14.3p5 kactivities-4.13.3p1
kde-runtime-4.14.3p15 nepomuk-core-4.14.3p3



With juk installed:

casa:/home/giannici# pkg_add gwenview
quirks-3.182 signed on 2019-10-12T12:14:24Z
Can't install kf5-icons-baloo-5.54.0 because of conflicts (baloo-4.14.3p7)
Can't install gwenview-18.12.0p1: can't resolve kf5-icons-baloo-5.54.0
--- kf5-icons-baloo-5.54.0 -------------------
Can't install kf5-icons-baloo-5.54.0: conflicts
Couldn't install gwenview-18.12.0p1 kf5-icons-baloo-5.54.0

Reply | Threaded
Open this post in threaded view
|

Re: Are KF5 and KDE4 packages supposed to coexists?

Rafael Sadowski-2
On Thu Oct 24, 2019 at 09:02:44AM +0200, Federico Giannici wrote:

> Hi!
>
> I'd like to know if KDE4 packages are supposed to coexists with KF5 packages
> (OpenBSD amd64 6.6).
>
> In particular, I'd like to use both gwenview (KF5) and Juk (KDE4), but it
> seems that baloo-4.14.3p7 conflicts with kf5-icons-baloo-5.54.0, and
> kf5-icons-baloo-5.54.0 conflicts with baloo-4.14.3p7 (see below).
>
> Is this a known limitation?
>
> Thanks.
>
>
>
> Can't install kf5-icons-baloo-5.54.0 because of conflicts (baloo-4.14.3p7)
> Can't install gwenview-18.12.0p1: can't resolve kf5-icons-baloo-5.54.0

This is correct, not all KDE4 and KF5 packages can coexists. The biggest
challenge here is the fight between baloo-4 and kf5-baloo.

I GAVE UP to send new/replacement KDE5 ports to ports@. It doesn't get
any attention on the list and it's an impossible mission to get an OK
for it!

Feel free to take the port from:

https://github.com/sizeofvoid/openbsd-kde-wip

If you need more ports, don't be shy and just ask. I'd be glad to get
feedback on:

https://github.com/sizeofvoid/openbsd-kde-wip/tree/master/x11/kde-applications/juk

RS

Reply | Threaded
Open this post in threaded view
|

Re: Are KF5 and KDE4 packages supposed to coexists?

Stuart Henderson
On 2019/10/25 17:27, Rafael Sadowski wrote:

> On Thu Oct 24, 2019 at 09:02:44AM +0200, Federico Giannici wrote:
> > Hi!
> >
> > I'd like to know if KDE4 packages are supposed to coexists with KF5 packages
> > (OpenBSD amd64 6.6).
> >
> > In particular, I'd like to use both gwenview (KF5) and Juk (KDE4), but it
> > seems that baloo-4.14.3p7 conflicts with kf5-icons-baloo-5.54.0, and
> > kf5-icons-baloo-5.54.0 conflicts with baloo-4.14.3p7 (see below).
> >
> > Is this a known limitation?
> >
> > Thanks.
> >
> >
> >
> > Can't install kf5-icons-baloo-5.54.0 because of conflicts (baloo-4.14.3p7)
> > Can't install gwenview-18.12.0p1: can't resolve kf5-icons-baloo-5.54.0
>
> This is correct, not all KDE4 and KF5 packages can coexists. The biggest
> challenge here is the fight between baloo-4 and kf5-baloo.
>
> I GAVE UP to send new/replacement KDE5 ports to ports@. It doesn't get
> any attention on the list and it's an impossible mission to get an OK
> for it!
>
> Feel free to take the port from:
>
> https://github.com/sizeofvoid/openbsd-kde-wip
>
> If you need more ports, don't be shy and just ask. I'd be glad to get
> feedback on:
>
> https://github.com/sizeofvoid/openbsd-kde-wip/tree/master/x11/kde-applications/juk
>
> RS
>

What do you think about just killing all the kde4 ports. This attempt at
coexistence and a seemingly never-ending trickle of separate ports to
handle in a piecemeal changeover is a nightmare to review and can't be
good for you either.

Give me a tarball with all the new things that can be unpacked in
/usr/ports and a diff to disable the kde4 things (don't worry about
cvs rm's, just unhook from category Makefiles) and I'll look at it in
bulk. (I need it to be easy to test it though, I won't try to assemble
a tree by merging things from a git repo etc :)

Compared with GNOME, even with more people working on it, the port
maintainers don't even try to have versions coexisting, it is just too
difficult, and there are fewer people working on kde. Maybe some of the
kf5 things are worse than the kde4 things but we just don't have the
resources to mix and match and try to keep everything working.

Reply | Threaded
Open this post in threaded view
|

Re: Are KF5 and KDE4 packages supposed to coexists?

Landry Breuil-5
On Fri, Oct 25, 2019 at 05:17:26PM +0100, Stuart Henderson wrote:

> On 2019/10/25 17:27, Rafael Sadowski wrote:
> > On Thu Oct 24, 2019 at 09:02:44AM +0200, Federico Giannici wrote:
> > > Hi!
> > >
> > > I'd like to know if KDE4 packages are supposed to coexists with KF5 packages
> > > (OpenBSD amd64 6.6).
> > >
> > > In particular, I'd like to use both gwenview (KF5) and Juk (KDE4), but it
> > > seems that baloo-4.14.3p7 conflicts with kf5-icons-baloo-5.54.0, and
> > > kf5-icons-baloo-5.54.0 conflicts with baloo-4.14.3p7 (see below).
> > >
> > > Is this a known limitation?
> > >
> > > Thanks.
> > >
> > >
> > >
> > > Can't install kf5-icons-baloo-5.54.0 because of conflicts (baloo-4.14.3p7)
> > > Can't install gwenview-18.12.0p1: can't resolve kf5-icons-baloo-5.54.0
> >
> > This is correct, not all KDE4 and KF5 packages can coexists. The biggest
> > challenge here is the fight between baloo-4 and kf5-baloo.
> >
> > I GAVE UP to send new/replacement KDE5 ports to ports@. It doesn't get
> > any attention on the list and it's an impossible mission to get an OK
> > for it!
> >
> > Feel free to take the port from:
> >
> > https://github.com/sizeofvoid/openbsd-kde-wip
> >
> > If you need more ports, don't be shy and just ask. I'd be glad to get
> > feedback on:
> >
> > https://github.com/sizeofvoid/openbsd-kde-wip/tree/master/x11/kde-applications/juk
> >
> > RS
> >
>
> What do you think about just killing all the kde4 ports. This attempt at
> coexistence and a seemingly never-ending trickle of separate ports to
> handle in a piecemeal changeover is a nightmare to review and can't be
> good for you either.
>
> Give me a tarball with all the new things that can be unpacked in
> /usr/ports and a diff to disable the kde4 things (don't worry about
> cvs rm's, just unhook from category Makefiles) and I'll look at it in
> bulk. (I need it to be easy to test it though, I won't try to assemble
> a tree by merging things from a git repo etc :)
>
> Compared with GNOME, even with more people working on it, the port
> maintainers don't even try to have versions coexisting, it is just too
> difficult, and there are fewer people working on kde. Maybe some of the
> kf5 things are worse than the kde4 things but we just don't have the
> resources to mix and match and try to keep everything working.

And while you're at it, please kill kde3 too.

Reply | Threaded
Open this post in threaded view
|

Re: Are KF5 and KDE4 packages supposed to coexists?

Klemens Nanni-2
On Fri, Oct 25, 2019 at 06:44:36PM +0200, Landry Breuil wrote:
> And while you're at it, please kill kde3 too.
It'd be happy see this cruft being cut off;  we're always short on
porters resources and seeing KDE5 being blocked by its (dead) history
isn't nice.

I'm not a KDE5 user, but I offer to test and smoothen the rough edges
with you, given the tree got rid of above hurdles.

Reply | Threaded
Open this post in threaded view
|

Re: Are KF5 and KDE4 packages supposed to coexists?

Rafael Sadowski
In reply to this post by Stuart Henderson
On Fri Oct 25, 2019 at 05:17:26PM +0100, Stuart Henderson wrote:

> On 2019/10/25 17:27, Rafael Sadowski wrote:
> > On Thu Oct 24, 2019 at 09:02:44AM +0200, Federico Giannici wrote:
> > > Hi!
> > >
> > > I'd like to know if KDE4 packages are supposed to coexists with KF5 packages
> > > (OpenBSD amd64 6.6).
> > >
> > > In particular, I'd like to use both gwenview (KF5) and Juk (KDE4), but it
> > > seems that baloo-4.14.3p7 conflicts with kf5-icons-baloo-5.54.0, and
> > > kf5-icons-baloo-5.54.0 conflicts with baloo-4.14.3p7 (see below).
> > >
> > > Is this a known limitation?
> > >
> > > Thanks.
> > >
> > >
> > >
> > > Can't install kf5-icons-baloo-5.54.0 because of conflicts (baloo-4.14.3p7)
> > > Can't install gwenview-18.12.0p1: can't resolve kf5-icons-baloo-5.54.0
> >
> > This is correct, not all KDE4 and KF5 packages can coexists. The biggest
> > challenge here is the fight between baloo-4 and kf5-baloo.
> >
> > I GAVE UP to send new/replacement KDE5 ports to ports@. It doesn't get
> > any attention on the list and it's an impossible mission to get an OK
> > for it!
> >
> > Feel free to take the port from:
> >
> > https://github.com/sizeofvoid/openbsd-kde-wip
> >
> > If you need more ports, don't be shy and just ask. I'd be glad to get
> > feedback on:
> >
> > https://github.com/sizeofvoid/openbsd-kde-wip/tree/master/x11/kde-applications/juk
> >
> > RS
> >
>
> What do you think about just killing all the kde4 ports. This attempt at
> coexistence and a seemingly never-ending trickle of separate ports to
> handle in a piecemeal changeover is a nightmare to review and can't be
> good for you either.

My first thought was: Hell yes please! Second: It doesn't solve my issues.
I'm alone on the OpenBSD KDE ports road. Sure there are some users out
there but not porters. That's okay with me, except it's difficult to
update KDE4 ports by an import which need an OK.

So that doesn't solve my problem. With x11/kde-applications  I am
currently updating just top-level applications and not the KDE Desktop
system. I want to go the easy way fist, replacing (more or less) all
KDE4 applications with KDE5 so that the KDE4-Desktop can still exist.

If this path is over and I can't get any further, we can delete it.

>
> Give me a tarball with all the new things that can be unpacked in
> /usr/ports and a diff to disable the kde4 things (don't worry about
> cvs rm's, just unhook from category Makefiles) and I'll look at it in
> bulk. (I need it to be easy to test it though, I won't try to assemble
> a tree by merging things from a git repo etc :)

This is a great offer, thanks in advance.

>
> Compared with GNOME, even with more people working on it, the port
> maintainers don't even try to have versions coexisting, it is just too
> difficult, and there are fewer people working on kde. Maybe some of the
> kf5 things are worse than the kde4 things but we just don't have the
> resources to mix and match and try to keep everything working.
>